%define	name		jfreechart
%define	version		0.9.4
%define	pversion	0.9.4a
%define	release		1jpp
%define	javadir		%{_datadir}/java
%define	javadocdir	%{_datadir}/javadoc
%define	section		free

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Charts Generation library
License:	LGPL
Url:		http://www.object-refinery.com/jfreechart/
Group:		Development/Libraries/Java
Vendor:		JPackage Project
Distribution:	JPackage
Source0:	%{name}-%{pversion}.tar.gz
Patch:		%{name}-build.diff
Requires:	jcommon >= 0.7.1
BuildRequires:	ant, batik-monolithic, junit, jcommon >= 0.7.1, servlet
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
Packager:       Henri Gomez <hgomez@users.sourceforge.net>

%description
Free Java class library for generating charts.

%package test
Summary:        test tasks for %{name}
Group:          Development/Test/Java
Requires:       %{name} = %{version}-%{release}, junit

%description test
All test tasks for %{name}.

%package demo
Summary:        Demo for %{name}
Group:          Development/Test/Java
Requires:       %{name} = %{version}-%{release}, batik-monolithic, jcommon, servlet

%description demo
Demos for %{name}.

%package javadoc
Summary:	Javadoc for %{name}
Group:		Development/Documentation

%description javadoc
Javadoc for %{name}.

%description javadoc -l fr
Javadoc pour %{name}.

%prep
rm -rf $RPM_BUILD_ROOT
%setup -q -n %{name}-%{version}
# remove all binary libs
find . -name "*.jar" -exec rm -f {} \;
# copy build.xml
%patch

%build
ant -f ant/build.xml -Dbatik.jar=%{javadir}/batik.jar -Djunit.jar=%{javadir}/junit.jar -Djcommon.jar=%{javadir}/jcommon.jar -Dservlet.jar=%{javadir}/servlet.jar -Dbuildstable=true -Dproject.outdir=. -Dbasedir=. package-bin package-bin-demo package-bin-test document 

%install
install -d -m 755 $RPM_BUILD_ROOT%{javadir}/%{name}
# jars
install -d -m 755 $RPM_BUILD_ROOT%{javadir}
install -m 644 jfreechart/dist/lib/%{name}-%{version}.jar $RPM_BUILD_ROOT%{javadir}
install -m 644 jfreechart/dist/lib/%{name}-%{version}-demo.jar $RPM_BUILD_ROOT%{javadir}
install -m 644 jfreechart/dist/lib/%{name}-%{version}-tests.jar $RPM_BUILD_ROOT%{javadir}
(cd $RPM_BUILD_ROOT%{javadir} && for jar in *-%{version}*.jar; do ln -sf ${jar} `echo $jar| sed  "s|-%{version}||g"`; done)
# javadoc
install -d -m 755 $RPM_BUILD_ROOT%{javadocdir}/%{name}-%{version}
cp -pr jfreechart/dist/javadoc/* $RPM_BUILD_ROOT%{javadocdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{javadir}/%{name}.jar
%{javadir}/%{name}-%{version}.jar
%dir %{javadir}/%{name}

%files demo
%defattr(-,root,root)
%{javadir}/%{name}-%{version}-demo.jar
%{javadir}/%{name}-demo.jar

%files test
%defattr(-,root,root)
%{javadir}/%{name}-%{version}-tests.jar
%{javadir}/%{name}-tests.jar

%files javadoc
%defattr(-,root,root)
%{javadocdir}/%{name}-%{version}

%changelog
* Mon Oct 28 2002 Henri Gomez <hgomez@users.sourceforge.net> 0.9.4-1jpp
- Initial release
